http://auditmanager.{region}.amazonaws.com/assessments/{assessmentId}/controlSets/{controlSetId}/statusUpdates the status of a control set in an Audit Manager assessment.
The unique identifier for the assessment.
The unique identifier for the control set.
The status of the control set that's being updated.
The comment that's related to the status update.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://auditmanager.{region}.amazonaws.com/assessments/{assessmentId}/controlSets/{controlSetId}/status' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://auditmanager.{region}.amazonaws.com/assessments/{assessmentId}/controlSets/{controlSetId}/statusUpdates the status of a control set in an Audit Manager assessment.
The unique identifier for the assessment.
The unique identifier for the control set.
The status of the control set that's being updated.
The comment that's related to the status update.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://auditmanager.{region}.amazonaws.com/assessments/{assessmentId}/controlSets/{controlSetId}/status' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}